%define plugindir %(xmms-config --general-plugin-dir 2>/dev/null)

Name:           xmms-alarm
Version:        0.3.6
Release:        1
Epoch:          0
Summary:        xmms General plugin for using xmms as an alarm clock

License:        GPL
Group:          Applications/Multimedia
URL:            http://www.snika.uklinux.net/?p=xmms-alarm
Source:         http://www.snika.uklinux.net/xmms-alarm/xmms-alarm-0.3.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xmms-devel, glib-devel >= 1:1.2.6, gtk+-devel >= 1:1.2.6

%description
xmms General plugin for using xmms as an alarm clock.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{plugindir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{plugindir}/libalarm.so


%changelog
* Mon May  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.6-0.fdr.1
- Update to 0.3.6.

* Wed Mar 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.5-0.fdr.1
- Update to 0.3.5.

* Sun Mar 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.4-0.fdr.1
- Update to 0.3.4.
- Spec cleanups.

* Sat Apr  5 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.3-0.fdr.2
- Address QA issues in #55: don't include *.la files, use buildroot macro.
- Save .spec UTF-8.

* Fri Mar 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.3-0.fdr.1
- Update to 0.3.3 and to current Fedora guidelines.

* Fri Feb  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.3.2-1.fedora.1
- First Fedora release.
